> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maalbar.dk/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a product



## OpenAPI

````yaml get /products/{productPublicId}
openapi: 3.1.0
info:
  title: MÅLBAR LCA API
  version: 1.0.0
  description: API for Life Cycle Assessment (LCA) screening capabilities
servers:
  - url: https://api.maalbar.dk/v1
    description: MÅLBAR LCA API
security: []
tags:
  - name: Components
  - name: Customer
  - name: Distributions
  - name: Geographical Locations
  - name: Locations
  - name: Materials
  - name: Methods
  - name: Packagings
  - name: Product
  - name: Products
  - name: Routes
  - name: Screening
  - name: Screenings
  - name: Supplier
  - name: Supplier Locations
  - name: Suppliers
  - name: Tags
paths:
  /products/{productPublicId}:
    get:
      tags:
        - Product
      summary: Get a product
      operationId: get-products-{productPublicId}
      parameters:
        - in: path
          name: productPublicId
          required: true
          schema:
            type: string
          example: '123'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetProductApiOutput'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetProductApiOutput:
      type: object
      properties:
        publicId:
          type: string
          minLength: 16
          maxLength: 16
          examples:
            - product_xxxxxxxxxxxx
        name:
          type:
            - string
            - 'null'
        sku:
          type:
            - string
            - 'null'
        ean:
          type:
            - string
            - 'null'
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - publicId
        - name
        - sku
        - ean
        - createdAt
        - updatedAt
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````